Package skyview.data

# Class Contourer

java.lang.Object
skyview.data.Contourer

public class Contourer extends Object
Find contours of an image.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Contourer.CSqrt`

## Constructor Summary

Constructors
Constructor
Description
`Contourer()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`contour()`
Return a map of simple contours.
`boolean`
`getData(String survey)`
Get the data for the contourer
`double[]`
`getRange()`
`void`
`putImage(Image img)`
`void`
`setFunction(String funcName)`
Set the transformation to be done on the input image before finding contour regions.
`void`
`setLimits(double min, double max, int n)`
`void`
`setLimits(double min, double max, int n, double fraction)`
Set up the limits for the contouring.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Contourer

public Contourer()

## Method Details

### setLimits

public void setLimits(double min, double max, int n)

### setLimits

public void setLimits(double min, double max, int n, double fraction)
Set up the limits for the contouring. Note that if logarithmic contours are desired, then the limits should be the common logs of the limits. E.g., if you want to do 5 intervals with the first at 1 and the last at 100, then enter limits of 0 and 2.

### putImage

public void putImage(Image img)

### getData

public boolean getData(String survey)
Get the data for the contourer

### getRange

public double[] getRange()

### setFunction

public void setFunction(String funcName)
Set the transformation to be done on the input image before finding contour regions.

Parameters:
  `funcName` - The string "sqrt" or "log" Note that log implies common logarithms.

### contour

public int[] contour()
Return a map of simple contours. The contour value for each pixel in the image is computed. When two adjacent pixels are in different contour regions a contour is drawn in the pixel whose value is closest to the contour value.

Returns:
  An integer array which gives the contour that should be drawn on any given pixel.